List Teams

List all Teams in an Organization. Optionally filter by Workspace or Deployment membership.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

organizationIdstringRequired
ID of the Organization to list Teams for.

Query parameters

nameslist of stringsOptional
A list of names for Teams to filter by. The API returns details only for the specified Teams.
workspaceIdstringOptional
The ID of the Workspace to filter the list of Teams for. When specified, the API returns only Teams with a role in the specified Workspace.
deploymentIdstringOptional
The ID of the Deployment to filter the list of Teams for. When specified, the API returns only Teams with a role in the specified Deployment.
offsetintegerOptional>=0Defaults to 0
Offset for pagination
limitintegerOptional0-1000Defaults to 20
Limit for pagination
sortslist of enumsOptional

Sorting criteria, each criterion should conform to format ‘fieldName:asc’ or ‘fieldName:desc’

Response

OK
limitinteger
The maximum number of Teams in one page.
offsetinteger
The offset of the current page of Teams.
teamslist of objects
The list of Teams in the current page.
totalCountinteger
The total number of Teams.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error